@ echo off
echo  required:
echo    WODEAD2A.DSK   WAR OF THE DEAD PART2 [MSX2] DISKA  image file
echo    WODEAD2B.DSK   WAR OF THE DEAD PART2 [MSX2] DISKB  image file
echo    bincut2.1(BINCUT2.EXE)
echo output:
echo    WODEAD2.KSS

if not exist "WODEAD2A.DSK" goto errouta
if not exist "WODEAD2B.DSK" goto erroutb
if exist "WODEAD2.BIN" goto binok
rem assemble z80 coce
asz80 -oo WODEAD2.SZ
aslink -oBIN wodead2.o
:binok

rem driver
bincut2 -s 218DB -l 500 -o wodead2.drv WODEAD2A.DSK
rem diska music
bincut2 -u 100 -n 054 -b 83e -o wodead2a.83e WODEAD2A.DSK
rem diskb music
bincut2 -u 100 -n 094 -b 67a -o wodead2b.67a WODEAD2B.DSK
copy /b WODEAD2.BIN+wodead2.drv+wodead2a.83e+wodead2b.67a WODEAD2.KSS
del wodead2.drv
del wodead2a.83e
del wodead2b.67a
goto out

:errouta
echo "DISK A image file(WODEAD2A.DSK) not found."
pause
goto out
:erroutb
echo "DISK B image file(WODEAD2B.DSK) not found."
pause
goto out
:out
